Skip to main content

Update a planning group

PATCH 

/api/planning-groups/{id}

Only the fields provided are updated; from_date and to_date must be sent together. For a recurring group, scope is required and tells whether the edit affects only this occurrence or this and the following ones; providing recurrence always applies to the following occurrences. Planning groups whose allocation request was rejected are not found.

Required permissions:

  • planning.modify: allows updating planning groups on projects where the user is PM or account.
  • planning.modify_other: allows updating planning groups on any project.
  • planning.modify_past: allows updating planning groups that already started.
  • planning.inter-bu_people: allows planning people of another business unit.
  • planning.same-bu_people_on_inter-bu_projects: allows planning on projects of another business unit.

Here the dedicated support page.

Request​

Responses​

Returns the planning group updated.